require 'active_model'

module GreekFire
  class MeasureSet
    include Enumerable
    include ActiveModel::Conversion

    def to_partial_path
      GreekFire::MeasureSet._to_partial_path
    end

    def each(&block)
      return enum_for(:each) unless block_given?

      self.items.each do |x|
        block.call(x)
      end
    end
  end
end
